<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'editissue.title'"/>: <webwork:property value="summary" /> [<webwork:property value="issue/string('key')" />]</title>
</head>
<body>
<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
    <jsp:include page="/includes/panels/issue/summary.jsp" />
</td>
<td bgcolor=ffffff valign=top>
<table width=100% cellpadding=10 cellspacing=0 border=0><tr><td>
    <page:applyDecorator name="jiraform">
        <page:param name="action">EditSubTaskIssue.jspa</page:param>
        <page:param name="cancelURI"><webwork:property value="issuePath" /></page:param>
        <page:param name="submitName"><webwork:text name="'common.forms.update'" /></page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <page:param name="title"><webwork:text name="'editissue.title'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="multipart">true</page:param>        
        <page:param name="description"><webwork:text name="'editissue.desc'"/></page:param>
        <webwork:if test="/issueExists == true">
            <webwork:component template="issuefields.jsp" name="'createissue'">
                <webwork:param name="'issue'" value="/issueObject"/>
                <webwork:param name="'tabs'" value="/fieldScreenRenderTabs"/>
                <webwork:param name="'errortabs'" value="/tabsWithErrors"/>
                <webwork:param name="'selectedtab'" value="/selectedTab"/>
                <webwork:param name="'ignorefields'" value="/ignoreFieldIds"/>
                <webwork:param name="'create'" value="'false'"/>
            </webwork:component>

            <jsp:include page="/includes/panels/updateissue_comment.jsp" />

            <ui:component name="'id'" template="hidden.jsp" />

            <ui:component name="'viewIssueKey'" template="hidden.jsp" />
        </webwork:if>
    </page:applyDecorator>
</td></tr></table>
</td>
</tr>
</table>
</body>
</html>
